Language.Haskell.Exts.Annotated.Build

# Syntax building functions

name

sym

var

op

qvar

pvar

app

infixApp

appFun

pApp

tuple

pTuple

varTuple

pvarTuple

function

strE

charE

intE

strP

charP

intP

doE

lamE

letE

caseE

alt

altGW

listE

eList

peList

paren

pParen

qualStmt

genStmt

letStmt

binds

noBinds

wildcard

genNames

# More advanced building

sfun

simpleFun

patBind

patBindWhere

nameBind

metaFunction

metaConPat